## i2masschroq-1.3.3.tar.gz

=== CMakeLists.txt ===
# CMake script for C++ i2MassChroQ
# Author: Olivier Langella
# Created: 05/06/2015
# Use git to check for contributions by other authors.

# Global parameters
CMAKE_MINIMUM_REQUIRED(VERSION 3.0)
PROJECT(i2masschroq CXX)

set(i2MassChroQ_VERSION_MAJOR "1")
set(i2MassChroQ_VERSION_MINOR "3")
set(i2MassChroQ_VERSION_PATCH "3")
set(i2MassChroQ_VERSION "${i2MassChroQ_VERSION_MAJOR}.${i2MassChroQ_VERSION_MINOR}.${i2MassChroQ_VERSION_PATCH}")
set(VERSION 1.3.3)

# Set additional project information
set(COMPANY "pappso.org")
set(COPYRIGHT "Copyright (c) 2022 PAPPSO. Licensed under GPLv3+")
set(IDENTIFIER "org.pappso")


#depending on libpappsomspp version :
set(LIBPAPPSOMSPP_VERSION "0.11.4")


# Add folder where are supportive functions
set(CMAKE_UTILS_PATH ${CMAKE_SOURCE_DIR}/CMakeStuff)
set(CMAKE_TOOLCHAINS_PATH ${CMAKE_UTILS_PATH}/toolchains)
set(CMAKE_MODULE_PATH ${CMAKE_UTILS_PATH}/modules)


# Include the system's uname that fills in SYSTEM_UNAME_S.
# Sets WIN64 if SYSTEM_UNAME_S is "^.*MING64.*"
include(${CMAKE_UTILS_PATH}/systemUname.cmake)

# Include the various colors we want to use in the output
include(${CMAKE_UTILS_PATH}/outputColors.cmake)

set(CMAKE_COLOR_MAKEFILE ON)
set(CMAKE_VERBOSE_MAKEFILE ON)

message("\n${BoldRed}Configuring build for project ${CMAKE_PROJECT_NAME}${ColourReset}\n")

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)


# This export will allow using the flags to be used by
# youcompleteme (vim plugin).
set(CMAKE_EXPORT_COMPILE_COMMANDS 1)

if(EXISTS "${CMAKE_CURRENT_BINARY_DIR}/compile_commands.json" )
  execute_process( COMMAND cmake -E copy_if_different
    ${CMAKE_CURRENT_BINARY_DIR}/compile_commands.json
    ${CMAKE_CURRENT_SOURCE_DIR}/compile_commands.json
    )
endif()


# We want C++20
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
message(STATUS "${BoldGreen}CMAKE_CXX_COMPILER: ${CMAKE_CXX_COMPILER}${ColourReset}")

#############################################################
# We do not want warnings for unknown pragmas:
message(STATUS "Setting definition -Wno-unknown-pragmas.${ColourReset}")
add_definitions(-Wno-unknown-pragmas)
# Enable warnings and possibly treat them as errors
message(STATUS "${BoldGreen}Setting definition -Wall.${ColourReset}")
add_definitions(-Wall)
message(STATUS "${BoldGreen}Setting definition -Wextra.${ColourReset}")
add_definitions(-Wextra)

if(WARN_AS_ERROR)
  message(STATUS "${BoldYellow}Setting definition -Werror.${ColourReset}")
  add_definitions(-Werror)
endif()

message(STATUS "${BoldRed}CMAKE_SOURCE_DIR: ${CMAKE_SOURCE_DIR}${ColourReset}")


#############################################################
#############################################################
# Platform-specific CMake configuration

if(MXE)
  message(STATUS "Building for MXE")
  # Run the following cmake command line:
  # x86_64-w64-mingw32.shared-cmake -DCMAKE_BUILD_TYPE=Release -DMXE=1 ../development
  include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain-$ENV{USER}.cmake)

  # Set the name to the systemUname variable because in this situation that name
  # is not found, it it passed as a flag in the command line.
  set(SYSTEM_UNAME_S "mxe")
elseif(UNIX AND NOT APPLE)
  message(STATUS "Building for UNIX")
  # Run the following cmake command line:
  # cmake -DBUILD_USER_MANUAL=1 -DCMAKE_BUILD_TYPE=Debug
  # If the libraries to be used are local and not system-wide add
  # -DLOCAL_DEV=1

  # On UNIX, the libpappsomspp and libpappsomspp-widget libs
  # need to be installed and they ship the PappsoMSppConfig.cmake
  # config file.

  # However, when developing both libs and this program, we need to be able to
  # load the libs from their dev/build directory without relying on the system
  # libs.
  if(LOCAL_DEV)

    # The development should use the locally built libs.
    include(${CMAKE_TOOLCHAINS_PATH}/unix-toolchain-local.cmake)
  else()

    # Use the system-wide libraries.
    include(${CMAKE_TOOLCHAINS_PATH}/unix-toolchain.cmake)

  endif()

  message(STATUS "Include dir for PappsoMSpp is at: ${PappsoMSpp_INCLUDE_DIRS}")
  message(STATUS "PappsoMSpp and PappsoMSppGui were found at:
  \t ${PappsoMSpp_LIBRARIES} and ${PappsoMSppGui_LIBRARIES}")

elseif(WIN64)
  # Run the following cmake command line:
  # cmake -DBUILD_USER_MANUAL=0 -DCMAKE_BUILD_TYPE=Release ../development

  include(${CMAKE_TOOLCHAINS_PATH}/win10-mingw64-toolchain.cmake)

elseif(APPLE)
  # Run the following cmake command line:
  # cmake -DBUILD_USER_MANUAL=0 -DCMAKE_BUILD_TYPE=Release ../development

  include(${CMAKE_TOOLCHAINS_PATH}/apple-macport-toolchain.cmake)

endif()

message("")
message(STATUS "${BoldGreen}Starting configuration of ${CMAKE_PROJECT_NAME}${ColourReset}")
message("")
message(STATUS "${BoldYellow}The build toolchain is: ${SystemUname}${ColourReset}")
message("")



#############################################################
#############################################################
# Essential software configuration
message(STATUS "CMAKE_CURRENT_BINARY_DIR: " ${CMAKE_CURRENT_BINARY_DIR})

# Gee, do not set that to default!
# set(MAKE_TEST 1)

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release CACHE STRING
    "Type of build, options are: None, Debug, Release, RelWithDebInfo, MinSizeRel."
    FORCE)
endif(NOT CMAKE_BUILD_TYPE)

if(CMAKE_BUILD_TYPE MATCHES "Release")
  message(STATUS "Compiling in release mode.")
  add_definitions("-DQT_NO_DEBUG_OUTPUT")
endif()

if(CMAKE_BUILD_TYPE MATCHES "Debug")
  message(STATUS "Compiling in debug mode with BUILD_TESTING: ${BUILD_TESTING}.")
  message(STATUS "Add definition -ggdb3 to format debug output for GDB.")
  add_definitions(-ggdb3)
endif()

if(CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo")
  message(STATUS "Compiling in release with debug info mode.")
endif( CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo" )

message(STATUS "${BoldYellow}CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}.${ColourReset}")

# Automate the production of correctly-versioned d/control file.
configure_file (${CMAKE_SOURCE_DIR}/debian/control.cmake.in ${CMAKE_SOURCE_DIR}/debian/control @ONLY)


set(SOFTWARE_NAME "i2MassChroQ")

set(BUILD_SYSTEM_NAME "${CMAKE_SYSTEM_NAME}")

# Set the CMAKE_PREFIX_PATH for the find_library fonction when using non
# standard install location
if(CMAKE_INSTALL_PREFIX)
  set(CMAKE_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}" ${CMAKE_PREFIX_PATH})
endif(CMAKE_INSTALL_PREFIX)

# Subdirectories
add_subdirectory(src)
add_subdirectory(doc)

if(UNIX)

  # Conditional addition of the test directory.
  if(BUILD_TESTING)

    enable_testing()
    include(CTest)
    add_subdirectory(tests)

  endif(BUILD_TESTING)

  # Doxygen
  find_package(Doxygen)
  if(DOXYGEN_FOUND)
    add_custom_target(apidoc cp Doxyfile ${CMAKE_BINARY_DIR}/Doxyfile-build
      COMMAND echo "OUTPUT_DIRECTORY=${CMAKE_BINARY_DIR}" >> ${CMAKE_BINARY_DIR}/Doxyfile-build
      COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/Doxyfile-build
      WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
    add_custom_target(apidoc-stable cp Doxyfile ${CMAKE_BINARY_DIR}/Doxyfile-stable
      COMMAND echo "OUTPUT_DIRECTORY=${CMAKE_BINARY_DIR}" >> ${CMAKE_BINARY_DIR}/Doxyfile-stable
      COMMAND echo "HTML_HEADER=header.html" >> ${CMAKE_BINARY_DIR}/Doxyfile-stable
      COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/Doxyfile-stable
      WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
  endif(DOXYGEN_FOUND)
endif(UNIX)
# Packager
set(CPACK_PACKAGE_NAME "i2masschroq")
set(CPACK_PACKAGE_VENDOR "PAPPSO Development Team")
set(CPACK_PACKAGE_VERSION "${i2MassChroQ_VERSION}")
set(CPACK_PACKAGE_VERSION_MAJOR "${i2MassChroQ_VERSION_MAJOR}")
set(CPACK_PACKAGE_VERSION_MINOR "${i2MassChroQ_VERSION_MINOR}")
set(CPACK_PACKAGE_VERSION_PATCH "${i2MassChroQ_VERSION_PATCH}")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "protein inference tool")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
set(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS")
set(CPACK_RESOURCE_FILE_INSTALL "${CMAKE_SOURCE_DIR}/INSTALL")
set(CPACK_SOURCE_GENERATOR "TGZ")
set(CPACK_SOURCE_IGNORE_FILES
  "CMakeFiles"
  "Makefile"
  "_CPack_Packages"
  "CMakeCache.txt"
  ".*\\\\.git"
  ".*\\\\.gz"
  ".*\\\\.deb"
  ".*\\\\.rpm"
  ".*\\\\.dmg"
  ".*\\\\.xpip"
  ".*\\\\..*\\\\.swp"
  "src/\\\\..*"
  "src/libbpp*"
  "debian/tmp"
  "debian/libbpp.*/"
  "debian/libbpp.*\\\\.so.*"
  "debian/libbpp.*\\\\.a"
  "debian/libbpp.*\\\\.substvars"
  "debian/libbpp.*\\\\.debhelper"
  "debian/debhelper\\\\.log"
  "build/"
  "cbuild/"
  "wbuild/"
  "Core.tag"
  "Testing"
  "build-stamp"
  "install_manifest.txt"
  "DartConfiguration.tcl"
  ${CPACK_SOURCE_IGNORE_FILES}
  )



#dch -Djessie "message"
#cmake ..
#make deb
# scp i2masschroq* xtpcpp* proteus.ideev.universite-paris-saclay.fr:/var/www/apt/incoming
# reprepro -Vb /var/www/apt processincoming default
#
#  debuild -S -sa
# dput -f olivier-langella *changes

if(MACOS)
  SET(CPACK_GENERATOR "Bundle")
endif()

set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
set(CPACK_DEBSOURCE_PACKAGE_FILE_NAME "lib${CMAKE_PROJECT_NAME}_${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}.orig")
iNCLUDE(CPack)

#This adds the 'dist' target
add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
# 'clean' is not (yet) a first class target. However, we need to clean the directories before building the sources:
if("${CMAKE_GENERATOR}" MATCHES "Make")
  add_custom_target(make_clean
    COMMAND ${CMAKE_MAKE_PROGRAM} clean
    WORKING_DIRECTORY ${CMAKE_CURRENT_DIR}
    )
  Add_dependencies(dist make_clean)
endif()

if(UNIX)
  #This creates deb packages:

  add_custom_target(targz
    cpack -G TGZ --config CPackSourceConfig.cmake && tar xvfz ${CPACK_PACKAGE_NAME}-${i2MassChroQ_VERSION}.tar.gz && ln -s ${CPACK_PACKAGE_NAME}-${i2MassChroQ_VERSION}.tar.gz ${CPACK_PACKAGE_NAME}_${i2MassChroQ_VERSION}.orig.tar.gz
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    COMMENT "Creating .tar.gz" VERBATIM
    )


  add_custom_target(deb
    cd ${CPACK_PACKAGE_NAME}-${i2MassChroQ_VERSION} && dpkg-buildpackage -B
    DEPENDS targz
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    COMMENT "Creating Debian package" VERBATIM
    )

  add_custom_target(deball
    cd ${CPACK_PACKAGE_NAME}-${i2MassChroQ_VERSION} && dpkg-buildpackage
    DEPENDS targz
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    COMMENT "Creating Debian package" VERBATIM
    )

    
  add_custom_target(debsrc
    cd ${CPACK_PACKAGE_NAME}-${i2MassChroQ_VERSION} && debuild -S -sa
    DEPENDS targz
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    COMMENT "Creating Debian package" VERBATIM
    )
    
  file(GLOB changesdebs "${CMAKE_BINARY_DIR}/${CPACK_PACKAGE_NAME}_*.dsc")

  foreach(libfile ${changesdebs})
    SET(changesdeb "${libfile}")
  endforeach(libfile)

  message ("changes debian file : ${changesdeb}")
  #lintian -IEi --pedantic tandem-mass_2013.06.15-1_amd64.changes
  add_custom_target(lintian
    lintian -IEi --pedantic ${changesdeb}
    DEPENDS deb
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    COMMENT "lintian check" VERBATIM
    )

endif(UNIX)

set(ctest_update_type GIT)
set(update_command "GIT")
set(UPDATE_OPTIONS "")

configure_file (${CMAKE_SOURCE_DIR}/templates/share/applications/i2MassChroQ.desktop.cmake ${CMAKE_BINARY_DIR}/templates/share/applications/i2MassChroQ.desktop)

configure_file (${CMAKE_SOURCE_DIR}/win64/i2masschroq-mingw64-win7+.iss.cmake ${CMAKE_SOURCE_DIR}/win64/i2masschroq-mingw64-win7+.iss)

configure_file (${CMAKE_SOURCE_DIR}/win64/i2masschroq-mxe.iss.cmake ${CMAKE_SOURCE_DIR}/win64/i2masschroq-mxe.iss)

install(FILES ${CMAKE_BINARY_DIR}/templates/share/applications/i2MassChroQ.desktop DESTINATION share/applications)
install(FILES ${CMAKE_SOURCE_DIR}/templates/share/mime/application/x-i2masschroq.xml DESTINATION share/mime/application)


if(NOT APPLE)

=== doc/CMakeLists.txt ===
message("")
message(STATUS "${BoldGreen}Starting configuration for the doc material for ${CMAKE_PROJECT_NAME} ${ColourReset}")
message("")

# The UNIX man pages
if(UNIX AND NOT APPLE)

	message(STATUS "Going to generate the man pages.")

	execute_process(COMMAND docbook-to-man ${CMAKE_PROJECT_NAME}.xml
		OUTPUT_FILE	${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}.1
		WORKING_DIRECTORY	${CMAKE_CURRENT_SOURCE_DIR})
	execute_process(COMMAND docbook-to-man tandemwrapper.xml
		OUTPUT_FILE	${CMAKE_BINARY_DIR}/tandemwrapper.1
		WORKING_DIRECTORY	${CMAKE_CURRENT_SOURCE_DIR})
		
	execute_process(COMMAND docbook-to-man mzxmlconverter.xml
		OUTPUT_FILE	${CMAKE_BINARY_DIR}/mzxmlconverter.1
		WORKING_DIRECTORY	${CMAKE_CURRENT_SOURCE_DIR})

endif(UNIX AND NOT APPLE)


###############
# install stuff

# The history and licence files.

message("Installing the doc files in ${DOC_DIR}")

# The man page.
if(UNIX AND NOT APPLE)
	install(FILES ${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}.1
		${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}.1
		DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man1)
    install(FILES ${CMAKE_BINARY_DIR}/tandemwrapper.1
		${CMAKE_BINARY_DIR}/tandemwrapper.1
		DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man1)
    install(FILES ${CMAKE_BINARY_DIR}/mzxmlconverter.1
		${CMAKE_BINARY_DIR}/mzxmlconverter.1
		DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man1)
endif()


#############################################################
###########################
# BUILD OF THE USER MANUALS

if(BUILD_USER_MANUAL)
	add_subdirectory(user-manual)
endif()


if(USE_TYPST)
	add_subdirectory(typst)
endif(USE_TYPST)

message("")
message(STATUS "${BoldGreen}Finished configuration of the doc material.${ColourReset}")
message("")

=== src/CMakeLists.txt ===
# CMake script for i2MassChroQ
# Author: Olivier Langella
# Created: 03/03/2015

#set(EXPERIMENTAL_FEATURES_ON 0)
if(EXPERIMENTAL_FEATURES_ON MATCHES "1")
    set(EXPERIMENTAL_FEATURES_ON 1)
endif(EXPERIMENTAL_FEATURES_ON MATCHES "1")

if(CMAKE_BUILD_TYPE MATCHES "Debug")
    set(EXPERIMENTAL_FEATURES_ON 1)
endif(CMAKE_BUILD_TYPE MATCHES "Debug")

SET(i2MassChroQ_RCCS i2masschroq.qrc)
# Appeler automatique le moc quand nécessaire
#SET(CMAKE_AUTOMOC ON)
# Les fichiers générés par le moc sont générés dans le dossier bin, dire à CMake de toujours 	
# inclure les entêtes de ce dossier
#SET(CMAKE_INCLUDE_CURRENT_DIR ON)

qt6_add_resources(i2MassChroQ_RCC_SRCS ${i2MassChroQ_RCCS})

if(QCustomPlotQt6_FOUND)
  message("QCustomPlotQt6_INCLUDES found ${QCustomPlotQt6_INCLUDE_DIR}")
else(QCustomPlotQt6_FOUND)
  message("QCustomPlotQt6_FOUND library not found")
endif(QCustomPlotQt6_FOUND)


if(Cutelee6Qt6_FOUND)
else(Cutelee6Qt6_FOUND)
  message("Cutelee6Qt6_FOUND library not found")
endif(Cutelee6Qt6_FOUND)


#sudo apt-get install libpappsomspp-dev
if(PappsoMSpp_FOUND)
else(PappsoMSpp_FOUND)
  message("PAPPSOms++ library not found")
  message("did you apt-get install libpappsomspp-core-dev ?")
endif(PappsoMSpp_FOUND)


if(PappsoMSppGui_FOUND)
else(PappsoMSppGui_FOUND)
  message("PAPPSOms++ gui library not found")
  message("did you apt-get install libpappsomspp-gui-dev ?")
endif(PappsoMSppGui_FOUND)

message("PAPPSOms++ library : ${PappsoMSpp_LIBRARIES}")


add_subdirectory(cli) 


configure_file(${CMAKE_SOURCE_DIR}/src/config.h.cmake ${CMAKE_SOURCE_DIR}/src/config.h)

# File list
set(CPP_FILES

  cli/export/cborstreamreaderbase.cpp
  cli/export/cborstreamreadercompartsv.cpp
  cli/export/cborstreamreadertsv.cpp

  core/automaticfilterparameters.cpp
  core/condor_process/condorprocess.cpp
  core/condor_process/condorqueueparser.cpp
  core/identificationgroup.cpp
  core/identification_sources/identificationdatasource.cpp
  core/identification_sources/identificationmascotdatfile.cpp
  core/identification_sources/identificationmzidentmlfile.cpp
  core/identification_sources/identificationpepxmlfile.cpp
  core/identification_sources/identificationpwizfile.cpp
  core/identification_sources/identificationsagejsonfile.cpp
  core/identification_sources/identificationxtandemfile.cpp
  core/labeling/label.cpp
  core/labeling/labelingmethod.cpp
  core/masschroq_run/masschroqbatchprocess.cpp
  core/masschroq_run/masschroqfileparameters.cpp
  core/masschroq_run/masschroqslurmprocess.cpp
  core/mcqr/mcqrmetadata.cpp
  core/mcqr/mcqrmetadataset.cpp
  core/qvalue/computeqvalues.cpp
  core/sage_run/sagebatchprocess.cpp
  core/sage_run/sageslurmprocess.cpp
  core/tandem_run/tandembatchprocess.cpp
  core/tandem_run/tandemcondorprocess.cpp
  core/tandem_run/tandemparameters.cpp
  core/tandem_run/tandemrun.cpp
  core/tandem_run/tandemslurmprocess.cpp
  core/alignmentgroup.cpp
  core/msrun.cpp
  core/peptideevidence.cpp
  core/peptidematch.cpp
  core/peptidextp.cpp
  core/project.cpp
  core/proteinmatch.cpp
  core/proteinxtp.cpp
  core/sequencedatabase.cpp
  core/slurm_process/slurmprocess.cpp
  files/fastafile.cpp
  files/tandemparametersfile.cpp
  files/xpipfile.cpp
  grouping/groupingexperiment.cpp
  grouping/ptm/ptmacetylation.cpp
  grouping/ptm/ptminterface.cpp
  grouping/groupinggroup.cpp
  grouping/groupingpeptidemass.cpp
  grouping/ptm/ptmgroupingexperiment.cpp
  grouping/ptm/ptmisland.cpp
  grouping/ptm/ptmislandgroup.cpp
  grouping/ptm/ptmislandsubgroup.cpp
  grouping/ptm/ptmphospho.cpp
  grouping/ptm/ptmsamplescan.cpp
  input/mascot/mascotdatparser.cpp
  input/mascot/mimeparser.cpp
  input/masschroq/masschroqcborinfoparser.cpp
  input/masschroq/masschroqmlinfoparser.cpp
  input/mcqr/metadataodsreader.cpp
  input/msstats/msstatstsvtranslator.cpp
  input/msstats/tsvtranslator.cpp
  input/mzidentml/msrunlocationreader.cpp
  input/mzidentml/mzidentmlreader.cpp
  input/pepxml/pepxmlreader.cpp
  input/psmcbor/cborpsmfilereader.cpp
  input/sage/sagefilereader.cpp
  input/sage/sagereader.cpp
  input/sage/sagetsvhandler.cpp
  input/tandem/tandeminfoparser.cpp
  input/tandem/tandemparamparser.cpp
  input/tandem/tandemreader.cpp
  input/tidd/tiddresultreader.cpp
  #  input/identificationpwizreader.cpp
  # input/pepxmlsaxhandler.cpp
  input/xpipreader.cpp
  #input/xpipsaxhandler.cpp
  # input/xtandemsaxhandler.cpp
  # input/xtpxpipsaxhandler.cpp
  # output/fann/fanndataoutput.cpp
  output/mcqr/mcqrmetadataods.cpp
  output/mcqr/mcqrscprotein.cpp
  output/mcqr/mcqrscpeptide.cpp
  output/ods/mass_delta/validmassdeltasheet.cpp
  output/ods/mass_delta/notvalidmassdeltasheet.cpp
  output/ods/ptm/comparptmislandsheet.cpp
  output/ods/ptm/comparptmspectrasheet.cpp
  output/ods/ptm/ptmgroupingsheet.cpp
  output/ods/ptm/ptmislandsheet.cpp
  output/ods/ptm/ptmspectrasheet.cpp
  output/ods/comparbasesheet.cpp
  output/ods/comparspecificspectrasheet.cpp
  output/ods/comparspectrabypeptide.cpp
  output/ods/comparspectrasheet.cpp
  output/ods/groupingsheet.cpp
  output/ods/infosheet.cpp
  output/ods/mcqrmetadatasheet.cpp
  output/ods/odsexport.cpp
  output/ods/peptidepossheet.cpp
  output/ods/peptidesheet.cpp
  output/ods/proteinsheet.cpp
  output/ods/qvaluessheet.cpp
  output/ods/samplesheet.cpp
  output/ods/simplesheet.cpp
  output/ods/spectrasheet.cpp
  output/ods/spectrasheetall.cpp
  output/ods/validpsmsheet.cpp
  output/ods/xicareasheet.cpp
  output/ods/xicinfosheet.cpp
  output/tidd/tidddataoutput.cpp
  output/exportfastafile.cpp
  output/masschroqjson.cpp
  output/masschroqml.cpp
  output/masschroqprm.cpp
  output/mcqrspectralcount.cpp
  output/proticdbml.cpp
  output/xpip.cpp
  utils/fastafilestore.cpp
  utils/identificationdatasourcestore.cpp
  utils/groupstore.cpp
  utils/httpversion.cpp
  utils/msrunstatisticshandler.cpp
  utils/msrunstore.cpp
  utils/peptideevidencestore.cpp
  utils/peptidestore.cpp
  utils/proteinstore.cpp
  utils/ptmbuilder.cpp
  utils/utils.cpp
  )

# we need this to be able to include headers produced by uic in our code
#(CMAKE_BINARY_DIR holds a path to the build directory, while INCLUDE_DIRECTORIES() works just like INCLUDEPATH from qmake)

set(i2MassChroQ_SRCS
  ./core/mcqr/mcqrqprocess.cpp
  ./core/tidd/tiddcomputing.cpp
  ./gui/about_dialog/aboutdialog.cpp
  ./gui/choose_modification_dialog/choosemodificationdialog.cpp
  ./gui/edit/deepprot_gui/modification_browser/modificationbrowser.cpp
  ./gui/edit/deepprot_gui/deepprotgui.cpp
  ./gui/edit/edit_label_methods/editlabelmethods.cpp
  ./gui/edit/edit_modifications/editmodifications.cpp
  ./gui/edit/edit_settings/editsettings.cpp
  ./gui/edit/edit_tandem_preset_dialog/edittandempresetdialog.cpp
  ./gui/export/export_spreadsheet_dialog/exportspreadsheetdialog.cpp
  ./gui/load_results_dialog/loadresultsdialog.cpp
  ./gui/lists/ms_identification_run_list_view/msidentificationlistwindow.cpp
  ./gui/lists/ms_identification_run_list_view/msidentificationtablemodel.cpp
  ./gui/lists/ms_identification_run_list_view/msidentificationtableproxymodel.cpp
  ./gui/lists/ms_identification_run_list_view/ms_identification_worker/msidlistworkerstatus.cpp
  ./gui/lists/ms_identification_run_list_view/engine_detail_view/enginedetailwindow.cpp
  ./gui/lists/peptide_list_view/peptidelistwindow.cpp
  ./gui/lists/peptide_list_view/peptidetablemodel.cpp
  ./gui/lists/peptide_list_view/peptidetableproxymodel.cpp
  ./gui/lists/protein_list_view/proteinlistwindow.cpp
  ./gui/lists/protein_list_view/proteintablemodel.cpp
  ./gui/lists/protein_list_view/proteintableproxymodel.cpp
  ./gui/masschroq_run_dialog/masschroqrundialog.cpp
  ./gui/mainwindow.cpp
  ./gui/peptide_detail_view/peptidewindow.cpp
  ./gui/project_view/identification_group_widget/identificationgroupwidget.cpp
  ./gui/project_view/projectwindow.cpp
  ./gui/protein_view/proteinwindow.cpp
  ./gui/ptm_island_list_view/ptmislandlistwindow.cpp
  ./gui/ptm_island_list_view/ptmislandtablemodel.cpp
  ./gui/ptm_island_list_view/ptmislandproxymodel.cpp
  ./gui/ptm_peptide_list_view/ptmpeptidelistwindow.cpp
  ./gui/ptm_peptide_list_view/ptmpeptidetablemodel.cpp
  ./gui/ptm_peptide_list_view/ptmpeptidetableproxymodel.cpp
  ./gui/ptm_peptide_list_view/ptmsequencedelegate.cpp
  ./gui/run/rworkflowrunviewbase.cpp
  ./gui/run/mcqr/mcqrrunviewng.cpp
  ./gui/run/mcqr_spectral_count/mcqrscrunview.cpp
  ./gui/run/msstats/msstatsrunview.cpp
  ./gui/run/sage/sagerundialog.cpp
  ./gui/tandem_run_dialog/tandemrundialog.cpp
  ./gui/waiting_message_dialog/waitingmessagedialog.cpp
  ./gui/widgets/Alignment_group_menu/alignmentgroupmenu.cpp
  ./gui/widgets/automatic_filter_widget/automaticfilterwidget.cpp
  ./gui/widgets/engines_view/xtandemparamwidget.cpp
  ./gui/widgets/engines_view/noengineparamwidget.cpp
  ./gui/widgets/qcp_massdelta/massdeltawidget.cpp
  ./gui/widgets/qcp_massdelta/qcpmassdelta.cpp
  ./gui/widgets/contaminant_widget/contaminantwidget.cpp
  ./gui/widgets/decoy_widget/decoywidget.cpp
  ./gui/widgets/xic_extraction_method_widget/xicextractionmethodwidget.cpp
  ./gui/widgets/massitemdelegate.cpp
  ./gui/widgets/widget_rprocess/mcqrmetadatafactorcombobox.cpp
  ./gui/widgets/widget_rprocess/mcqrmetadatafactorlistview.cpp
  ./gui/widgets/widget_rprocess/mcqrmetadatamsruncombobox.cpp
  ./gui/widgets/widget_rprocess/mcqrmetadatamsrunlistview.cpp
  ./gui/widgets/widget_rprocess/widgetrprocess.cpp
  ./gui/xic_view/xic_box/xicbox.cpp
  ./gui/xic_view/xic_widgets/zivydialog.cpp
  ./gui/xic_view/xic_widgets/zivywidget.cpp
  ./gui/xic_view/xic_widgets/xicexportparam.cpp
  ./gui/xic_view/xicwindow.cpp
  ./gui/xic_view/xicworkerthread.cpp
  ./gui/workerthread.cpp
  ./utils/workmonitor.cpp
  )

set(GUI_UIS
  ./gui/about_dialog/about_dialog.ui
  ./gui/choose_modification_dialog/choose_modification_dialog.ui
  ./gui/edit/deepprot_gui/modification_browser/uimodificationbrowser.ui
  ./gui/edit/deepprot_gui/deepprot_gui.ui
  ./gui/edit/edit_alignment_param/masschroq_param_view.ui
  ./gui/edit/edit_label_methods/edit_label_methods.ui
  ./gui/edit/edit_modifications/edit_modifications.ui
  ./gui/edit/edit_settings/edit_settings.ui
  ./gui/edit/edit_tandem_preset_dialog/edit_tandem_preset_dialog.ui
  ./gui/export/export_spreadsheet_dialog/export_spreadsheet_dialog.ui
  ./gui/lists/ms_identification_run_list_view/ms_identification_run_view.ui
  ./gui/lists/ms_identification_run_list_view/engine_detail_view/engine_detail_view.ui
  ./gui/lists/peptide_list_view/peptide_view.ui
  ./gui/lists/protein_list_view/protein_view.ui
  ./gui/load_results_dialog/load_results_dialog.ui
  ./gui/masschroq_run_dialog/masschroq_run_dialog.ui
  ./gui/mcqr_param_dialog/mcqr_param_all_quanti_dialog.ui
  ./gui/main.ui
  ./gui/peptide_detail_view/peptide_detail_view.ui
  ./gui/project_view/identification_group_widget/identification_group_widget.ui
  ./gui/project_view/project_view.ui
  ./gui/protein_view/protein_detail_view.ui
  ./gui/ptm_island_list_view/ptm_island_list_view.ui
  ./gui/ptm_peptide_list_view/ptm_peptide_list_view.ui
  ./gui/run/mcqr/mcqr_run_view_ng.ui
  ./gui/run/mcqr_spectral_count/mcqr_sc_run_view.ui
  ./gui/run/msstats/msstats_run_view.ui
  ./gui/run/sage/sage_run_dialog.ui
  ./gui/tandem_run_dialog/tandem_run_dialog.ui
  ./gui/waiting_message_dialog/waiting_message_dialog.ui
  ./gui/widgets/automatic_filter_widget/automatic_filter_widget.ui
  ./gui/widgets/engines_view/xtandem_view_widget.ui
  ./gui/widgets/engines_view/no_engine_view_widget.ui
  ./gui/widgets/qcp_massdelta/qcpmassdelta.ui
  ./gui/widgets/contaminant_widget/contaminant_widget.ui
  ./gui/widgets/decoy_widget/decoy_widget.ui
  ./gui/widgets/widget_rprocess/widget_r_process.ui
  ./gui/xic_view/xic_box/xic_box.ui
  ./gui/xic_view/xic_widgets/zivy_widget.ui
  ./gui/xic_view/xic_widgets/xic_export_param.ui
  ./gui/xic_view/xic_window.ui
  )


# this will run uic on .ui files:
qt6_wrap_ui( GUI_UI_HDRS ${GUI_UIS} )


#message("i2MassChroQ_SRCS:  ${i2MassChroQ_SRCS}")




if(UNIX AND NOT APPLE)

=== tests/CMakeLists.txt ===

message(\n${BoldRed}"Now configuring tests for ${CMAKE_PROJECT_NAME}"${ColourReset}\n)

SET(i2MassChroQ_RCCS ../src/i2masschroq.qrc)
qt6_add_resources(i2MassChroQ_RCC_SRCS ${i2MassChroQ_RCCS})

configure_file(${CMAKE_UTILS_PATH}/tests-config.h.cmake.in ${CMAKE_BINARY_DIR}/tests/config.h)

find_package(Catch2 REQUIRED)

set(catch2_only_cpp_SRCS
    test_condor_status.cpp
    test_peptide_label.cpp
    test_project_parameters.cpp
    test_slurm_tandem.cpp
    test_tandem_input.cpp
    ../src/input/mzidentml/msrunlocationreader.cpp
    ../src/input/tandem/tandeminfoparser.cpp
    ../src/core/condor_process/condorqueueparser.cpp
    ../src/core/tandem_run/tandemparameters.cpp
    ../src/input/tandem/tandemparamparser.cpp
    ../src/core/peptidextp.cpp
    ../src/core/labeling/labelingmethod.cpp
    ../src/core/labeling/label.cpp
    ../src/utils/utils.cpp
)

add_executable(catch2-only-tests
    ${catch2_only_cpp_SRCS}
    ${i2MassChroQ_RCC_SRCS}
)

target_link_libraries(catch2-only-tests
    PappsoMSpp::Core
    Catch2::Catch2
    Catch2::Catch2WithMain
    Qt6::Core
    Qt6::Xml
    Qt6::Gui
    Qt6::Qml
    Cutelee::Templates
)

set_property(TARGET catch2-only-tests PROPERTY CXX_STANDARD 17) # we want C++17

  # Add the Catch2-based single binary test file to the CMake's test suite so
  # that it gets called using 'make test'. To see the output, add "ARGS=-V" to
  # the call.
add_test(catch2-only-tests "catch2-only-tests")

=== doc/typst/CMakeLists.txt ===

#set(USETYPST_DEFAULT_ALL_TARGET ON)


configure_file(${CMAKE_UTILS_PATH}/user-manual-version.json.cmake.in ${CMAKE_CURRENT_SOURCE_DIR}/user-manual-version.json @ONLY)

message("\n${BoldGreen}Build typst documentation ${PROJECT_NAME}${ColourReset}\n")
include(${CMAKE_UTILS_PATH}/modules/UseTYPST.cmake)

add_typst_document(i2masschroq_user_manual main.typ)
add_typst_document(masschroq3_user_manual masschroq3/masschroq3.typ)

add_custom_target(typst_doc ALL DEPENDS i2masschroq_user_manual masschroq3_user_manual)

=== src/cli/CMakeLists.txt ===


if(PappsoMSpp_FOUND)
else(PappsoMSpp_FOUND)
  message("PAPPSOms++ library not found")
  message("did you apt-get install libpappsomspp-dev ?")
endif(PappsoMSpp_FOUND)


if(PappsoMSppWidget_FOUND)
else(PappsoMSppWidget_FOUND)
  message("PAPPSOms++ gui library not found")
  message("did you apt-get install libpappsomspp-gui-dev ?")
endif(PappsoMSppWidget_FOUND)

message("PAPPSOms++ library : ${PappsoMSpp_LIBRARIES}")

set(MASSCHROQ_CPP_FILES
    masschroqlightcli.cpp
    input/masschroqml2jsonparser.cpp
)


add_executable(masschroq3 masschroq.cpp ${MASSCHROQ_CPP_FILES} )
target_link_libraries(masschroq3
    PappsoMSpp::Core
    QuaZip::QuaZip
    Qt6::Gui
    Qt6::Concurrent
    Qt6::Sql
    Qt6::Qml
    OdsStream::Core
)


set(MASSCHROQEXPORT_CPP_FILES
    masschroqlightcborcli.cpp
    export/cborstreamreader2json.cpp
    export/cborstreamreaderalignment.cpp
    export/cborstreamreaderbase.cpp
    export/cborstreamreadercompartsv.cpp
    export/cborstreamreaderdebug.cpp
    export/cborstreamreaderdebugquantificationdata.cpp
    export/cborstreamreadershape.cpp
    export/cborstreamreadertsv.cpp
)

add_executable(masschroq-export masschroq_export.cpp ${MASSCHROQEXPORT_CPP_FILES} )
target_link_libraries(masschroq-export
    PappsoMSpp::Core
    QuaZip::QuaZip
    Qt6::Gui
    Qt6::Concurrent
    Qt6::Sql
    Qt6::Qml
    OdsStream::Core
)


if (SYSTEM_UNAME_S EQUAL "mxe")
  target_compile_options(
    masschroq3 PRIVATE -mwindows
  )
  set_target_properties(masschroq3 PROPERTIES LINK_FLAGS "-Wl,--subsystem,windows ${CMAKE_EXE_LINKER_FLAGS}")
  target_compile_options(
    masschroq-export PRIVATE -mwindows
  )
  set_target_properties(masschroq-export PROPERTIES LINK_FLAGS "-Wl,--subsystem,windows ${CMAKE_EXE_LINKER_FLAGS}")
endif (SYSTEM_UNAME_S EQUAL "mxe")

target_compile_definitions(masschroq3 PRIVATE)

target_compile_definitions(masschroq-export PRIVATE)


install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/masschroq3 DESTINATION bin)
install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/masschroq-export DESTINATION bin)

=== debian/changelog ===
i2masschroq (1.3.3-1~trixie1) trixie; urgency=medium

  * Fix broken Windows11 support for TimsTOFpro data file

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 05 Dec 2025 10:56:32 +0100

i2masschroq (1.3.2-1~trixie2) trixie; urgency=medium

  * Unlock UNIMOD and USER defined OBO terms to use in xpip projects

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 02 Dec 2025 12:12:27 +0100

i2masschroq (1.3.2-1~trixie1) trixie; urgency=medium

  * fix PSM CBOR sage reader problem
  * mzCBOR support

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 02 Dec 2025 10:48:34 +0100

i2masschroq (1.3.1-1~trixie1) trixie; urgency=medium

  * New Sage reader usgin PSM CBOR
  * New Sage user interface
  * Fix istope deviation vizualisation for isotope error negative delta
  * Change Tukey in MCQR scripts (Thierry Balliau)
  * Install new bioconductor version for R 4.5
  * Typst documentation translation from docbook almost done
  * Qt6svg plugin dependency added

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 18 Nov 2025 13:11:47 +0100

i2masschroq (1.3.0-3~trixie1) trixie; urgency=medium

  * Fix dependencies

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 08 Oct 2025 10:38:20 +0200

i2masschroq (1.3.0-2~trixie1) trixie; urgency=medium

  * be sure to compile with newest libpwiz and libboost 1.88

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 08 Oct 2025 10:21:56 +0200

i2masschroq (1.3.0-1~trixie2) trixie; urgency=medium

  * be sure to compile with newest libpwiz and libboost

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 30 Sep 2025 16:57:15 +0200

i2masschroq (1.3.0-1~trixie1) trixie; urgency=medium

  * First package for Debian 13 Trixie
  * Move to the newly organized PAPPSOms++ 0.11 library
  * MassChroQ3 json export contains msrun list

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 22 Sep 2025 10:20:20 +0200

i2masschroq (1.2.9-3~bookworm1) bookworm; urgency=medium

  * add new R dependency : "zip"

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 12 Sep 2025 09:12:48 +0200

i2masschroq (1.2.9-2~bookworm1) bookworm; urgency=medium

  * add new R dependencies : "scales" and "tidyselect"

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 08 Sep 2025 10:29:59 +0200

i2masschroq (1.2.9-1~bookworm1) bookworm; urgency=medium

  * Choose "https://pbil.univ-lyon1.fr/CRAN/" for the default
  CRAN repository, to install MCQR dependencies

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 08 Sep 2025 09:39:40 +0200

i2masschroq (1.2.8-1~bookworm1) bookworm; urgency=medium

  * Check R package installation for MCQR updated

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 04 Sep 2025 11:59:08 +0200

i2masschroq (1.2.7-1~bookworm1) bookworm; urgency=medium

  * Set working directory for slurm jobs
  * Fix JSON alignment
  * PTM grouping in ODS export
  * Enable MBR and isotope ratio parameters in MassChroQ3 run dialog
  * Better Sage run dialog
  * PSM JSON export for Typst

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 04 Sep 2025 11:01:25 +0200

i2masschroq (1.2.6-1~bookworm1) bookworm; urgency=medium

  * Fix running masschroq3 in slurm

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 02 Jun 2025 13:41:30 +0200

i2masschroq (1.2.5-1~bookworm1) bookworm; urgency=medium

  * Experimental Sage run GUI

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 12 May 2025 13:17:27 +0200

i2masschroq (1.2.4-1~bookworm1) bookworm; urgency=medium

  * masschroq-export CLI fixed for alignment data
  * Full support for PSI ProForma v2 : UNIMOD, Nter and Cter modifications

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 05 May 2025 14:05:06 +0200

i2masschroq (1.2.3-1~bookworm1) bookworm; urgency=medium

  * XIC viewer is able to open any other MS run (mzML, TDF...)

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 18 Mar 2025 09:01:21 +0100

i2masschroq (1.2.2-1~bookworm1) bookworm; urgency=medium

  * MCQR 1.0.2

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 17 Mar 2025 13:21:21 +0100

i2masschroq (1.2.1-1~bookworm1) bookworm; urgency=medium

  * Fix regression using Evalue in FDR threshold

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 05 Mar 2025 09:35:30 +0100

i2masschroq (1.2.0-1~bookworm1) bookworm; urgency=medium

  * Switch to C++20
  * Complete integration of MassChroQ version 3 through PAPPSOms++ library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 04 Mar 2025 10:55:41 +0100

i2masschroq (1.0.23-1~bookworm2) bookworm; urgency=medium

  * Support for Sage protein Qscore
  * Display protein Q-value in protein list
  * Filter results on protein Q-value

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 27 Jan 2025 11:27:01 +0100

i2masschroq (1.0.22-1~bookworm1) bookworm; urgency=medium

  * MCQR 1.0.1
  * Work in progress store Sage protein QValue
  * Export project name in project parameters
  * Display samle name instead of filenam in XIC view

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 24 Jan 2025 15:39:06 +0100

i2masschroq (1.0.21-1~bookworm1) bookworm; urgency=medium

  * Recognize mzIdentML file
  * Get the identification search engine name and version (needed by ProteoBench)
  * Solves an issue loading xpip file generated with PEAKS identification results

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 18 Dec 2024 15:49:16 +0100

i2masschroq (1.0.20-1~bookworm1) bookworm; urgency=medium

  * Solving issue with MassChroQ module + tandem results in mzid format

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 02 Dec 2024 16:21:22 +0100

i2masschroq (1.0.19-1~bookworm1) bookworm; urgency=medium

  * Fix for issue #37 : close MCQR windows
  * WIP : issue #36, work on multiple sample support in mzid
  * New msrunretention time API in PAPPSOms++
  * First Peaks Studio support
  * Better SAGE support

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 25 Nov 2024 15:01:07 +0100



=== debian/control ===
Source: i2masschroq
Section: science
Priority: optional
Maintainer: The Debichem Group <debichem-devel@alioth-lists.debian.net>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper-compat (= 12),
 dpkg-dev (>= 1.18.25),
 cmake (>= 3.12),
 qt6-base-dev,
 libpappsomspp-core-dev (>= 0.11.4),
 libpappsomspp-gui-dev (>= 0.11.4),
 libodsstream-dev (>= 0.9.12),
 libboost1.88-dev,
 libboost-thread1.88-dev,
 libboost-chrono1.88-dev,
 libboost-container1.88-dev,
 libboost-random1.88-dev,
 libboost-filesystem1.88-dev,
 libboost-iostreams1.88-dev,
 libzstd-dev,
 liblzf-dev,
 libsqlite3-dev,
 qt6-svg-dev,
 qt6-svg-plugins,
 libqcustomplot-dev (>= 2.1.0),
 cutelee6-qt6-dev,
 docbook-to-man,
 libjs-jquery,
 libjs-highlight.js,
 daps,
 fonts-ebgaramond,
 fonts-ebgaramond-extra,
 doxygen,
 catch2,
 graphviz
Standards-Version: 4.6.0
Homepage: http://pappso.inra.fr/bioinfo
Vcs-Browser: https://salsa.debian.org/debichem-team/i2masschroq
Vcs-Git: https://salsa.debian.org/debichem-team/i2masschroq.git

Package: xtpcpp
Section: oldlibs
Architecture: any
Multi-Arch: no
Depends: i2masschroq,
 debconf,
 po-debconf,
 ${shlibs:Depends},
 ${misc:Depends}
Description: Transitional package from xtpcpp to i2masschroq
 The program allows one to perform the following tasks:
  -Reads X!Tandem xml results files
  -Reads MASCOT dat results files
  -Reads TPP pepXML results files
  -Reads PSI mzIdentML results files
  -Run X!Tandem analyzes through a graphical user interface
  -Implements various filters based on statistical values
  -Powerful original grouping algorithm to filter redundancy
  -Phosphopeptide mode to handle phosphoproteomics datasets
  -Edit, search and sort the data graphically
  -XIC chromatogram browser (eXtracted Ion Current)
  -Comparisons of theoretical isotope patterns to measured MS1 XIC areas
  -Export data directly to Microsoft Office 2010 and LibreOffice (ods export)
  -Handle huge datasets very quickly
  -Perform peptide quantification through MassChroQml export
 .
 This package is a transitional package. You can remove it at any time.

Package: xtpcpp-doc
Section: oldlibs
Architecture: all
Multi-Arch: no
Depends: i2masschroq-doc,
 debconf,
 po-debconf,
 ${misc:Depends}
Description: Transitional package from xtpcpp-doc to i2masschroq-doc
 The program allows one to perform the following tasks:
  -Reads X!Tandem xml results files
  -Reads MASCOT dat results files
  -Reads TPP pepXML results files
  -Reads PSI mzIdentML results files
  -Run X!Tandem analyzes through a graphical user interface
  -Implements various filters based on statistical values
  -Powerful original grouping algorithm to filter redundancy
  -Phosphopeptide mode to handle phosphoproteomics datasets
  -Edit, search and sort the data graphically
  -XIC chromatogram browser (eXtracted Ion Current)
  -Comparisons of theoretical isotope patterns to measured MS1 XIC areas
  -Export data directly to Microsoft Office 2010 and LibreOffice (ods export)
  -Handle huge datasets very quickly
  -Perform peptide quantification through MassChroQml export
 .
 This package is a transitional package. You can remove it at any time.

Package: xtpcpp-tools
Section: oldlibs
Architecture: any
Multi-Arch: no
Depends: i2masschroq-tools,
 debconf,
 po-debconf,
 ${shlibs:Depends},
 ${misc:Depends},
Description: Transitional package from xtpcpp-tools to i2masschroq-tools
 The program allows one to perform the following tasks:
  -Reads X!Tandem xml results files
  -Reads MASCOT dat results files
  -Reads TPP pepXML results files
  -Reads PSI mzIdentML results files
  -Run X!Tandem analyzes through a graphical user interface
  -Implements various filters based on statistical values
  -Powerful original grouping algorithm to filter redundancy
  -Phosphopeptide mode to handle phosphoproteomics datasets
  -Edit, search and sort the data graphically
  -XIC chromatogram browser (eXtracted Ion Current)
  -Comparisons of theoretical isotope patterns to measured MS1 XIC areas
  -Export data directly to Microsoft Office 2010 and LibreOffice (ods export)
  -Handle huge datasets very quickly
  -Perform peptide quantification through MassChroQml export
 .
 This package is a transitional package. You can remove it at any time.

Package: i2masschroq
Architecture: any
Multi-Arch: no
Depends: tandemng,
 libodsstream0 (>= 0.9.2),
 qt6-svg-plugins,
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: i2masschroq-tools,
 tandemng
Provides: xtpcpp (= 0.4.54)
Replaces: xtpcpp (<< 0.4.54)
Breaks: xtpcpp (<< 0.4.54)
Description: Successor of X!TandemPipeline
 The program allows one to perform the following tasks:
  -Reads X!Tandem xml results files
  -Reads MASCOT dat results files
  -Reads TPP pepXML results files
  -Reads PSI mzIdentML results files
  -Run X!Tandem analyzes through a graphical user interface
  -Implements various filters based on statistical values
  -Powerful original grouping algorithm to filter redundancy
  -Phosphopeptide mode to handle phosphoproteomics datasets
  -Edit, search and sort the data graphically
  -XIC chromatogram browser (eXtracted Ion Current)
  -Comparisons of theoretical isotope patterns to measured MS1 XIC areas
  -Export data directly to Microsoft Office 2010 and LibreOffice (ods export)
  -Handle huge datasets very quickly
  -Perform peptide quantification through MassChroQml export

Package: i2masschroq-doc
Section: doc
Architecture: all
Depends: libjs-jquery,
         libjs-highlight.js,
         ${misc:Depends}
Provides: xtpcpp-doc (= 0.4.54)
Replaces: xtpcpp-doc (<< 0.4.54)
Breaks: xtpcpp-doc (<< 0.4.54)
Description: Successor of X!TandemPipeline (user manual)
 The program allows one to perform the following tasks:
  -Reads X!Tandem xml results files
  -Reads MASCOT dat results files
  -Reads TPP pepXML results files
  -Reads PSI mzIdentML results files
  -Run X!Tandem analyzes through a graphical user interface
  -Implements various filters based on statistical values
  -Powerful original grouping algorithm to filter redundancy
  -Phosphopeptide mode to handle phosphoproteomics datasets
  -Edit, search and sort the data graphically
  -XIC chromatogram browser (eXtracted Ion Current)
  -Comparisons of theoretical isotope patterns to measured MS1 XIC areas
  -Export data directly to Microsoft Office 2010 and LibreOffice (ods export)
  -Handle huge datasets very quickly
  -Perform peptide quantification through MassChroQml export
 .
 This package ships the user manual in both PDF and HTML formats.

Package: i2masschroq-tools
Architecture: any
Multi-Arch: no
Depends: tandemng,
 ${shlibs:Depends},
 ${misc:Depends}
Provides: xtpcpp-tools (= 0.4.54)
Replaces: xtpcpp-tools (<< 0.4.54),
  xtpcpp-tandemwrapper-dbgsym (<< 0.4.54),
  xtpcpp-tandemwrapper (<< 0.4.54)
Breaks: xtpcpp-tools (<< 0.4.54),
  xtpcpp-tandemwrapper-dbgsym (<< 0.4.54),
  xtpcpp-tandemwrapper (<< 0.4.54)
Description: X!Tandem-related utilities for timsTOF pro and modern mzML data
 The programs allow one to perform the following tasks:
 .
  - Convert and store a (partial) copy of the initial mass spectrometry
    data files in the mzXML format that is required by X!Tandem;
  - Perform the conversion above and run i2masschroq on the obtained 
    data files seamlessly.
 .
 This package ships two command line tools that are useful when
 mass data are available in a format that is not immediately consumable by 
 X!Tandem (like mzML or Bruker timsTOF data).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_BUILD_TYPE=Release \
		-DBUILD_TESTING=0 \
		-DCMAKE_SKIP_RPATH=1 \
		-DBUILD_USER_MANUAL=1
		
override_dh_auto_build:
	dh_auto_build
	dh_auto_build -- i2MassChroQ-doc

override_dh_compress:
	dh_compress --exclude=.pdf

=== debian/watch ===
version=4

# The following page lists the releases
#
# https://forgemia.inra.fr/pappso/i2masschroq/-/tags
#
# And the actual href in the page is
#
# href="/pappso/i2masschroq/-/archive/0.4.26/i2masschroq-0.4.42.tar.gz"
#

https://forgemia.inra.fr/pappso/i2masschroq/-/tags \
  .*/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
